function mjd=civil2mjd(civildate)

  % mjd=DATE_MJD(civildate)
  %
  % PURPOSE    :  COMPUTES THE MODIFIED JULIAN DATE (MJD)
  %               FROM YEAR,MONTH AND DAY
  %               MJD = JULIAN DATE - 2400000.5
  %
  % PARAMETERS :
  %         IN :  civildate: [YEAR MONTH DAY]
  %                          YEAR (E.G. 1984)                  
  %                          MONTH(E.G. 2 FOR FEBRUARY)        
  %                          DAY OF MONTH                     
  %        OUT :  mjd      : MODIFIED JULIAN DATE              
  %

  year  = civildate(1);
  month = civildate(2);
  day   = civildate(3);
 
  if( month <= 2 )
    year = year - 1;
    month = month + 12;
  end %_if  
  
  djul = fix(365.25*year) + fix( 30.6001*(month + 1) ) + day - 679019;
  mjd=djul ;
%end %_function